## fyi 1.0.1

=== debian/changelog ===
fyi (1.0.1-1) unstable; urgency=medium

  * Initial upload (Closes: #1077301)

 -- Birger Schacht <birger@debian.org>  Sun, 28 Jul 2024 08:28:09 +0200

## fyi 1.0.4

=== meson_options.txt ===
option('docs', type: 'feature',
       description: 'Build and install documentation (man pages, example foot.ini, readme, changelog, license etc).')

=== debian/changelog ===
fyi (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 14 Sep 2024 12:59:00 +0200

fyi (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 16 Aug 2024 08:11:39 +0200

=== debian/control ===
Source: fyi
Section: utils
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (=13),
               scdoc,
               meson,
               cmake,
               libdbus-1-dev
Standards-Version: 4.7.0
Homepage: https://codeberg.org/dnkl/fyi
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/fyi
Vcs-Git: https://salsa.debian.org/debian/fyi.git

Package: fyi
Multi-Arch: foreign
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to send desktop notifications via a notification daemon
 FYI (for your information) is a command line utility to send desktop
 notifications to the user via a notification daemon implementing XDG desktop
 notifications.
 .
 It is a almost a notify-send clone, with the following differences:
 .
 * notify-send does not implement --close.
 * notify-send does not expose activation tokens (needed for window
   focus/activation) in any meaningful way. It prints it as a debug message
   when G_MESSAGES_DEBUG=all; fyi prints it when you use --print-token.
 * fyi has consistent syntax in its --action and --hintoptions.
 * fyi can print the reason a notification was closed, with --print-reason.
 * fyi can query the notification daemon for its name and version information.
 * fyi can query the notification daemon for its capabilities.
 * fyi has shell completions (though only fish for now).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

execute_after_dh_auto_install:
	rm debian/fyi/usr/share/doc/fyi/LICENSE

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://codeberg.org/dnkl/fyi refs/tags/v?(\d\S+)
